# Package org.spongepowered.asm.mixin.injection.callback

Implementation of callback injector functionality provided by `@#64;Inject`.

Interface Summary
Cancellable: Interface for things which can be cancelled

Class Summary
CallbackInfo: CallbackInfo instances are passed to callbacks in order to provide information and handling opportunities to the callback to interact with the callback itself.
CallbackInfoReturnable<R>: For callbacks with a non-void return type, a CallbackInfoReturnable is passed to the callback instead to allow the callback to interact with the method return value.
CallbackInjector: This class is responsible for generating the bytecode for injected callbacks, for details of usage see `@Inject`.

Enum Summary
LocalCapture: Specifies the behaviour for capturing local variables at an injection point.

Exception Summary
CancellationException: Exception thrown when a consumer attemtps to call `cancel()` on a callback not marked as `cancellable`.